summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-01-31 03:36:03 +0000
committer Eric Hameleers <alien@slackware.com>2020-01-31 08:59:47 +0100
commit0012caf61824ffcca7bbe5cd19b79612d6445307 (patch)
treeb8a3e0a1d753928e6b455791110c483d07c89de5 /source
parent51327bd0f57ceb2ecbb378d64c48fade02ecb361 (diff)
downloadcurrent-0012caf61824ffcca7bbe5cd19b79612d6445307.tar.gz
current-0012caf61824ffcca7bbe5cd19b79612d6445307.tar.xz
Fri Jan 31 03:36:03 UTC 202020200131033603
a/inotify-tools-3.20.2-x86_64-1.txz: Upgraded. d/llvm-9.0.1-x86_64-3.txz: Rebuilt. Added polly-9.0.1 (polyhedral optimizations for LLVM). d/rust-1.41.0-x86_64-1.txz: Upgraded. Firefox test build succeeded, so I'll consider this update good. n/p11-kit-0.23.20-x86_64-1.txz: Upgraded. x/mtdev-1.1.6-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/d/llvm/llvm.SlackBuild23
-rw-r--r--source/d/llvm/llvm.url2
-rwxr-xr-xsource/d/rust/rust.SlackBuild8
-rw-r--r--source/d/rust/rust.url14
-rwxr-xr-xsource/x/mtdev/mtdev.SlackBuild6
5 files changed, 27 insertions, 26 deletions
diff --git a/source/d/llvm/llvm.SlackBuild b/source/d/llvm/llvm.SlackBuild
index 7cf816594..0df856d8a 100755
--- a/source/d/llvm/llvm.SlackBuild
+++ b/source/d/llvm/llvm.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for llvm
# Copyright 2008-2016 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2012, 2013, 2014, 2015, 2016, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2012, 2013, 2014, 2015, 2016, 2018, 2019, 2020 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=llvm
VERSION=${VERSION:-$(echo llvm-*.tar.xz | rev | cut -f 4- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -99,17 +99,15 @@ cd ../../../
cd projects || exit 1
tar xvf $CWD/compiler-rt-$VERSION.src.tar.xz || exit 1
- mv compiler-rt-${VERSION} compiler-rt 2>/dev/null \
- || mv compiler-rt-${VERSION}.src compiler-rt || exit 1
+ mv compiler-rt-${VERSION} compiler-rt 2>/dev/null || mv compiler-rt-${VERSION}.src compiler-rt || exit 1
tar xvf $CWD/openmp-$VERSION.src.tar.xz || exit 1
- mv openmp-${VERSION} openmp 2>/dev/null \
- || mv openmp-${VERSION}.src openmp || exit 1
+ mv openmp-${VERSION} openmp 2>/dev/null || mv openmp-${VERSION}.src openmp || exit 1
tar xvf $CWD/libcxx-${VERSION}.src.tar.xz || exit 1
- mv libcxx-${VERSION} libcxx 2>/dev/null \
- || mv libcxx-${VERSION}.src libcxx || exit 1
+ mv libcxx-${VERSION} libcxx 2>/dev/null || mv libcxx-${VERSION}.src libcxx || exit 1
tar xvf $CWD/libcxxabi-${VERSION}.src.tar.xz || exit 1
- mv libcxxabi-${VERSION} libcxxabi 2>/dev/null \
- || mv libcxxabi-${VERSION}.src libcxxabi || exit 1
+ mv libcxxabi-${VERSION} libcxxabi 2>/dev/null || mv libcxxabi-${VERSION}.src libcxxabi || exit 1
+ tar xvf $CWD/polly-$VERSION.src.tar.xz || exit 1
+ mv polly-${VERSION} polly 2>/dev/null || mv polly-${VERSION}.src polly || exit 1
cd ../
# Support GCC built for i586-slackware-linux:
@@ -213,7 +211,7 @@ for i in $( find $PKG/usr/man -type l ) ; do
rm $i
done
-mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/{clang,lldb,clang-tools-extra,compiler-rt,openmp}
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/{clang,lldb,clang-tools-extra,compiler-rt,openmp,polly}
cp -a CREDITS* LICENSE* README* $PKG/usr/doc/$PKGNAM-$VERSION
cp -a tools/clang/{INSTALL,LICENSE,NOTES,README}* \
$PKG/usr/doc/$PKGNAM-$VERSION/clang
@@ -225,6 +223,8 @@ cp -a projects/compiler-rt/{CODE_OWNERS,CREDITS,LICENSE,README}* \
$PKG/usr/doc/$PKGNAM-$VERSION/compiler-rt
cp -a projects/openmp/{CREDITS,LICENSE}* \
$PKG/usr/doc/$PKGNAM-$VERSION/openmp
+cp -a projects/polly/{CREDITS,LICENSE,README}* \
+ $PKG/usr/doc/$PKGNAM-$VERSION/polly
mv $PKG/usr/docs/llvm/* $PKG/usr/doc/$PKGNAM-$VERSION
rm -rf $PKG/usr/docs
@@ -233,4 +233,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/d/llvm/llvm.url b/source/d/llvm/llvm.url
index 19054ad41..af8426744 100644
--- a/source/d/llvm/llvm.url
+++ b/source/d/llvm/llvm.url
@@ -4,6 +4,7 @@ https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/clang-tools
https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/compiler-rt-9.0.1.src.tar.xz
https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/lldb-9.0.1.src.tar.xz
https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/openmp-9.0.1.src.tar.xz
+https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/polly-9.0.1.src.tar.xz
https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/libcxx-9.0.1.src.tar.xz
https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/libcxxabi-9.0.1.src.tar.xz
https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/lld-9.0.1.src.tar.xz
@@ -14,6 +15,7 @@ https://github.com/llvm/llvm-project/releases/download/llvmorg-9.0.1/lld-9.0.1.s
#http://llvm.org/releases/9.0.1/compiler-rt-9.0.1.src.tar.xz
#http://llvm.org/releases/9.0.1/lldb-9.0.1.src.tar.xz
#http://llvm.org/releases/9.0.1/openmp-9.0.1.src.tar.xz
+#http://llvm.org/releases/9.0.1/polly-9.0.1.src.tar.xz
#http://llvm.org/releases/9.0.1/libcxx-9.0.1.src.tar.xz
#http://llvm.org/releases/9.0.1/libcxxabi-9.0.1.src.tar.xz
#http://llvm.org/releases/9.0.1/lld-9.0.1.src.tar.xz
diff --git a/source/d/rust/rust.SlackBuild b/source/d/rust/rust.SlackBuild
index d7d2085e7..2aa966387 100755
--- a/source/d/rust/rust.SlackBuild
+++ b/source/d/rust/rust.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=rust
SRCNAM="${PKGNAM}c"
-VERSION=${VERSION:-1.40.0}
+VERSION=${VERSION:-1.41.0}
BUILD=${BUILD:-1}
# Set this to YES to build with the system LLVM, or NO to use the bundled LLVM.
@@ -34,9 +34,9 @@ BUILD=${BUILD:-1}
SYSTEM_LLVM=${SYSTEM_LLVM:-YES}
# Bootstrap variables (might not be kept updated for latest Rust):
-RSTAGE0_VERSION=${RSTAGE0_VERSION:-1.39.0}
-RSTAGE0_DIR=${RSTAGE0_DIR:-2019-11-07}
-CSTAGE0_VERSION=${CSTAGE0_VERSION:-0.40.0}
+RSTAGE0_VERSION=${RSTAGE0_VERSION:-1.40.0}
+RSTAGE0_DIR=${RSTAGE0_DIR:-2019-12-19}
+CSTAGE0_VERSION=${CSTAGE0_VERSION:-0.41.0}
CSTAGE0_DIR=${CSTAGE0_DIR:-$RSTAGE0_DIR}
# Automatically determine the architecture we're building on:
diff --git a/source/d/rust/rust.url b/source/d/rust/rust.url
index 0b18f23d9..970613e78 100644
--- a/source/d/rust/rust.url
+++ b/source/d/rust/rust.url
@@ -1,5 +1,5 @@
# Source code (repacked to .tar.xz):
-lftpget https://static.rust-lang.org/dist/rustc-1.40.0-src.tar.gz
+lftpget https://static.rust-lang.org/dist/rustc-1.41.0-src.tar.gz
gzip -d rustc-*tar.gz
plzip -9 -v rustc-*tar
@@ -12,12 +12,12 @@ plzip -9 -v rustc-*tar
exit 0
# i686 bootstrap:
-lftpget https://static.rust-lang.org/dist/2019-11-07/cargo-0.40.0-i686-unknown-linux-gnu.tar.gz
-lftpget https://static.rust-lang.org/dist/2019-11-07/rust-std-1.39.0-i686-unknown-linux-gnu.tar.gz
-lftpget https://static.rust-lang.org/dist/2019-11-07/rustc-1.39.0-i686-unknown-linux-gnu.tar.gz
+lftpget https://static.rust-lang.org/dist/2019-12-19/cargo-0.41.0-i686-unknown-linux-gnu.tar.gz
+lftpget https://static.rust-lang.org/dist/2019-12-19/rust-std-1.40.0-i686-unknown-linux-gnu.tar.gz
+lftpget https://static.rust-lang.org/dist/2019-12-19/rustc-1.40.0-i686-unknown-linux-gnu.tar.gz
# x86_64 bootstrap:
-lftpget https://static.rust-lang.org/dist/2019-11-07/cargo-0.40.0-x86_64-unknown-linux-gnu.tar.gz
-lftpget https://static.rust-lang.org/dist/2019-11-07/rust-std-1.39.0-x86_64-unknown-linux-gnu.tar.gz
-lftpget https://static.rust-lang.org/dist/2019-11-07/rustc-1.39.0-x86_64-unknown-linux-gnu.tar.gz
+lftpget https://static.rust-lang.org/dist/2019-12-19/cargo-0.41.0-x86_64-unknown-linux-gnu.tar.gz
+lftpget https://static.rust-lang.org/dist/2019-12-19/rust-std-1.40.0-x86_64-unknown-linux-gnu.tar.gz
+lftpget https://static.rust-lang.org/dist/2019-12-19/rustc-1.40.0-x86_64-unknown-linux-gnu.tar.gz
diff --git a/source/x/mtdev/mtdev.SlackBuild b/source/x/mtdev/mtdev.SlackBuild
index 2bdbf369a..d45015b25 100755
--- a/source/x/mtdev/mtdev.SlackBuild
+++ b/source/x/mtdev/mtdev.SlackBuild
@@ -25,8 +25,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mtdev
-VERSION=${VERSION:-1.1.5}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.1.6}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -67,7 +67,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z
cd $PKGNAM-$VERSION
chown -R root:root .
find . \